﻿@model neew.Models.Book
@{
    Layout = "~/Views/Layout/_LayoutPage1.cshtml";
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>AddBook</title>
    <link href="~/css/bootstrap.css" rel="stylesheet" />
    <link href="~/css/bootstrap.min.css" rel="stylesheet" />
    <link href="~/css/bootstrap.rtl.css" rel="stylesheet" />
    <link href="~/css/bootstrap.rtl.min.css" rel="stylesheet" />
    <link href="../style/StyleSheet1.css" rel="stylesheet" />
</head>
<body>
    <div class="container" style="font-size:15px;font-family:Arial">
        @*@using (Html.BeginForm(new { @class = "form-horizontal", role = "form",FormMethod.Post ,enctype = "multipart/form-data" }))*@
        @*//("AddBook", "Home", )

            // {, new{enctype = "multipart/form-data"}
             {*@
        @using (Html.BeginForm("AddBook", "Home", FormMethod.Post, new{enctype = "multipart/form-data"}))
        {
        
            @Html.AntiForgeryToken()

            <div class="form-horizontal">
                <h4>افزودن کتاب</h4>
                <hr />
                @Html.ValidationSummary(true)

                <h2>@ViewBag.message</h2>

                <div class="form-group">
                    <label for="uname" class="control-label col-md-2">نام کتاب</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(model => model.BName, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.BName)
                    </div>
                </div>

                <div class="form-group">
                    <label for="uname" class="control-label col-md-2">نویسنده</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(model => model.Writer, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Writer)
                    </div>
                </div>

                <div class="form-group">
                    <label for="uname" class="control-label col-md-2">مترجم</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(model => model.Translator, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Translator)
                    </div>
                </div>

                <div class="form-group">
                    <label for="uname" class="control-label col-md-2">نام انتشارات</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(model => model.Publisher, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Publisher)
                    </div>
                </div>

                <div class="form-group">
                    <label for="uname" class="control-label col-md-2">سال چاپ</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(model => model.Year, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Year)
                    </div>
                </div>

                <div class="form-group">
                    <label for="uname" class="control-label col-md-2">وضعیت</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(model => model.Condition, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Condition)
                    </div>
                </div>

                <div class="form-group">
                    <label for="uname" class="control-label col-md-2">قیمت</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(model => model.Price, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Price)
                    </div>
                </div>

                <div class="form-group">
                    <label for="uname" class="control-label col-md-2">شماره ویرایش</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(model => model.Editing, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Editing)
                    </div>
                </div>
                @*<div class="row">
                    <div class="col-lg-3">
                        <div class="form-group">
                            <label for="uname" class="control-label col-md-2">عکس کتاب</label>
                            <div>
                                <img id="user_img"
                                     height="100"
                                     width="90"
                                     style="border:solid" />
                            </div>
                        </div>*@
                        <div class="form-group">
                            <label for="uname" class="control-label col-md-2">انتخاب</label>
                            <div>
                                <input type="file" title="search image" id="file1" name="file1" onchange="show(this)" />
                            </div>
                        </div>
                    @*</div>*@




                    <div class="form-group">
                        <div class="col-md-offset-2 col-md-10">
                            <input type="submit" value="ثبت" class="btn btn-default btn-lg" />
                            <input type="reset" value="نوسازی" class="btn btn-default btn-lg" />
                        </div>
                    </div>
                </div>
                }


            </div> 
        <script src="~/js/jquery.min.js"></script>


        @*<script type="text/javascript">
            function show(input) {
                if (input.files && input.files[0]) {
                    var filerdr = new FileReader();
                    filerdr.onload = function (e) {
                        $('#user_img').attr('src', e.target.result);
                    }
                    filerdr.readAsDataURL(input.files[0]);
                }
            }
            </script>
                </div>
    </div>*@
</body>
</html>
